package com.zehong.system.domain.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class UserManageSafetyDeviceExportVo {

    /** 用户账号 */
    @Excel(name = "用户自有编号")
    private String userOwnId;

    /** 关联设备类型 */
    @Excel(name = "设备类型")
    private String relationDeviceType;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String deviceName;

    /** 设备型号 */
    @Excel(name = "设备型号")
    private String deviceModel;

    /** 物联网编号 */
    @Excel(name = "物联网编号")
    private String fIotNo;

    /** 探测介质 */
    @Excel(name = "探测介质")
    private String detectionMedium;

    /** 设备安装时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "设备安装时间(yyyy-mm-dd)",width = 30,format ="yyyy-MM-dd")
    private Date deviceInstallTime;

    private String deviceInstallTimeStr;

    /** 安装位置 */
    @Excel(name = "安装位置")
    private String deviceInstallPosition;

    /** 负责人 */
    @Excel(name = "负责人")
    private String head;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phone;

    public String getUserOwnId() {
        return userOwnId;
    }

    public void setUserOwnId(String userOwnId) {
        this.userOwnId = userOwnId;
    }

    public String getRelationDeviceType() {
        return relationDeviceType;
    }

    public void setRelationDeviceType(String relationDeviceType) {
        this.relationDeviceType = relationDeviceType;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceModel() {
        return deviceModel;
    }

    public void setDeviceModel(String deviceModel) {
        this.deviceModel = deviceModel;
    }

    public String getfIotNo() {
        return fIotNo;
    }

    public void setfIotNo(String fIotNo) {
        this.fIotNo = fIotNo;
    }

    public String getDetectionMedium() {
        return detectionMedium;
    }

    public void setDetectionMedium(String detectionMedium) {
        this.detectionMedium = detectionMedium;
    }

    public Date getDeviceInstallTime() {
        return deviceInstallTime;
    }

    public void setDeviceInstallTime(Date deviceInstallTime) {
        this.deviceInstallTime = deviceInstallTime;
    }

    public String getDeviceInstallPosition() {
        return deviceInstallPosition;
    }

    public void setDeviceInstallPosition(String deviceInstallPosition) {
        this.deviceInstallPosition = deviceInstallPosition;
    }

    public String getHead() {
        return head;
    }

    public void setHead(String head) {
        this.head = head;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getDeviceInstallTimeStr() {
        return deviceInstallTimeStr;
    }

    public void setDeviceInstallTimeStr(String deviceInstallTimeStr) {
        this.deviceInstallTimeStr = deviceInstallTimeStr;
    }
}
